Bug 1335552 - host-collection content-base subcommand is nonexistant
Summary: host-collection content-base subcommand is nonexistant
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Andrew Kofink
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 13:31 UTC by Andrew Kofink
Modified: 2016-09-20 01:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-03 19:05:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15289 0 None None None 2016-06-03 18:06:25 UTC

Description Andrew Kofink 2016-05-12 13:31:11 UTC
Description of problem: There is a subcommand in host_collection.rb named ContentBaseCommand with three actions, but there is no way to access them in hammer.

Version-Release number of selected component (if applicable):
6.2, 6.1, devel

How reproducible:
Always

Steps to Reproduce:
1. Run each hammer command below
hammer host-collection content-base install
hammer host-collection content-base update
hammer host-collection content-base remove

Actual results:
Error: No such sub-command 'content-base'

See: 'hammer host-collection --help'

Expected results:
Content installed
Content updated
Content removed

Additional info:
I believe this hammer subcommand should be calling the hosts_bulk_actions_controller in Katello's API.

Comment 1 Andrew Kofink 2016-06-03 17:28:24 UTC
Created redmine issue http://projects.theforeman.org/issues/15289 from this bug


Note You need to log in before you can comment on or make changes to this bug.